# eric4.Utilities.AutoSaver

Module implementing an auto saver class.

### Global Attributes

None

### Classes

AutoSaver | Class implementing the auto saver.

### Functions

None

## AutoSaver

Class implementing the auto saver.

### Derived from

QObject

### Class Attributes

AUTOSAVE_IN
MAXWAIT

### Class Methods

None

### Methods

AutoSaver | Constructor
changeOccurred | Public slot handling a change.
saveIfNeccessary | Public method to activate the save operation.
timerEvent | Protected method handling timer events.

### Static Methods

None

#### AutoSaver (Constructor)

AutoSaver(parent, save)

Constructor

parent
  reference to the parent object (QObject)
save
  slot to be called to perform the save operation

#### AutoSaver.changeOccurred

changeOccurred()

Public slot handling a change.

#### AutoSaver.saveIfNeccessary

saveIfNeccessary()

Public method to activate the save operation.

#### AutoSaver.timerEvent

timerEvent(evt)

Protected method handling timer events.

evt
  reference to the timer event (QTimerEvent)

Up